<template>
    <div></div>
    <!-- <router-link :to="url" target="_blank"></router-link>   -->
</template>

<script>
export default {
    data() {
        return {
            // url: '/new-page' // 目标页面的路径
            jumpUrl: '',
        }
    },
    created() {
        const origin = window.location.origin
        this.jumpUrl = origin
        // if (origin == 'http://192.168.0.56:21626') {
        //     this.jumpUrl = origin
        // } else {
        //     this.jumpUrl = 'http://192.168.0.14:18866'
        // }
        this.openNewWindow()
        this.$tab.closePage().then(() => {})
    },
    methods: {
        openNewWindow() {
            window.open(
                `${this.jumpUrl}/index01.html?token=` +
                    localStorage.getItem('token'),
                '_blank',
            )
        },
    },
}
</script>
